### Method

# FwupdPlugin StructEfiHardDriveDevicePath set_partition_signature

#### Declaration [src]

    void
    fu_struct_efi_hard_drive_device_path_set_partition_signature (
      FuStructEfiHardDriveDevicePath* st,
      const fwupd_guid_t* value
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`value` | `fwupd_guid_t`
| No description available.
| The data is owned by the caller of the function.